# Dirvish Email Notification

These scripts were developed and tested on debian 10 (buster) with dirvish installed by "apt install dirvish". 
Dirvish identifies itself as version 1.2

In case you have an other dirvish version or run it on an other linux distro that requires modifications, please let me know.
Please report suggestions, issues, fixes at https://github.com/dialanet/dirvish-mail/issues

Find more information in the project wiki at https://github.com/dialanet/dirvish-mail/wiki 

## dirvish-mail

Collect and send information about images by email at end of the dirvish cron job.

A working email installation is required where root (or what user runs dirvish) can send out mails through mutt.
Check if working with the command:

    echo "My Content" | mutt -s "My Subject" my.name@my.domain

Put this script into /etc/dirvish and chmod it to 755 so it can get executed.

Edit your dirvish-cronjob, or use the sample dirvish-cronjob-mail below instead.

To edit your own dirvish-cronjob:

  - Add command "/etc/dirvish/dirvish-mail pre-run" after mounting backup drives and before running dirvish.
  - Add command "/etc/dirvish/dirvish-mail post-run" after running dirvish and before unmounting backup drives.

Edit master.conf to set command "/etc/dirvish/dirvish-mail post-server" as post-server script:

    post-server: /etc/dirvish/dirvish-mail post-server

## dirvish-cronjob-mail

This is a copy of the original dirvish-cronjob of dirvish 1.2, modified for mailing as described above.
Use this for convenience, or edit your own file in case you have another dirvish version or have a customized cron script.

## mail.conf

Configuration file for dirvish-mail.
Put this file into /etc/dirvish and edit your own email address. You may also change whether log, summary and/or rsync_error files get attached to the email.

./.
